> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get specific end user by SID



## OpenAPI

````yaml get /agency/twilio/end-users/{sid}
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/twilio/end-users/{sid}:
    get:
      tags:
        - Twilio
      summary: Get specific end user by SID
      operationId: TwilioController_getEndUser
      parameters:
        - name: sid
          required: true
          in: path
          description: End user SID
          schema:
            type: string
      responses:
        '200':
          description: Returns end user details
          content:
            application/json:
              schema:
                type: object
                properties:
                  sid:
                    type: string
                    description: End user SID
                  account_sid:
                    type: string
                    description: Account SID
                  friendly_name:
                    type: string
                    description: Friendly name
                  type:
                    type: string
                    description: End user type
                  attributes:
                    type: object
                    description: End user attributes
                  date_created:
                    type: string
                    description: Creation date
                  date_updated:
                    type: string
                    description: Last update date
                  url:
                    type: string
                    description: Resource URL
        '401':
          description: Unauthorized
        '404':
          description: End user not found
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````